﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Fiddler;

namespace BareWeb.BuiltWithFiddler.Extensions
{
    public class BuiltWithInspector : IFiddlerExtension
    {
        private TabPage oPage;
        private BuiltWithViewer oView;

        #region IFiddlerExtension Members

        public void OnBeforeUnload()
        {
            oPage.Dispose();
        }

        public void OnLoad()
        {
            FiddlerApplication.UI.tabsViews.ImageList.Images.Add("bw", Resources.builtWith);
            this.oPage = new TabPage("BuiltWith");
            this.oPage.ImageIndex = FiddlerApplication.UI.tabsViews.ImageList.Images.IndexOfKey("bw");

            this.oView = new BuiltWithViewer();

            this.oPage.Controls.Add(this.oView);
            this.oPage.Dock = DockStyle.Fill;
            this.oView.Dock = DockStyle.Fill;
            FiddlerApplication.UI.tabsViews.TabPages.Add(this.oPage);
        }

        #endregion
    }
}
